#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: incremental-parser
version: 0.2.5.1
id: incremental-parser-0.2.5.1-Jc25lee9wKUDsEraXZSeU
key: incremental-parser-0.2.5.1-Jc25lee9wKUDsEraXZSeU
license: GPL
copyright: (c) 2011-2016 Mario Blazevic
maintainer: blamario@yahoo.com
homepage: https://github.com/blamario/incremental-parser
synopsis: Generic parser library capable of providing partial results from partial input.
description:
    This package defines yet another parser combinator library. This one is implemented using the concept of Brzozowski
    derivatives, tweaked and optimized to work with any monoidal input type. Lists, ByteString, and Text are supported out
    of the box, as well as any other data type for which the monoid-subclasses package defines instances. If the parser
    result is also a monoid, its chunks can be extracted incrementally, before the complete input is parsed.
category: Parsing
author: Mario Blazevic
exposed: True
indefinite: False
exposed-modules:
    Control.Applicative.Monoid Text.ParserCombinators.Incremental
    Text.ParserCombinators.Incremental.LeftBiasedLocal
    Text.ParserCombinators.Incremental.Symmetric
abi: 15fc21386406b0ac7df8c4958548303c
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/incremental-parser-0.2.5.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/incremental-parser-0.2.5.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/incremental-parser-0.2.5.1
hs-libraries: HSincremental-parser-0.2.5.1-Jc25lee9wKUDsEraXZSeU
depends:
    base-4.10.0.0 monoid-subclasses-0.4.4-5OFhTMF25242Me5g36ESjF
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             monoid-subclasses-0.4.4-5OFhTMF25242Me5g36ESjF=c04020d016defbfb725a3f9f38563d33
haddock-interfaces: /usr/share/doc/haskell-incremental-parser/html/incremental-parser.haddock
haddock-html: /usr/share/doc/haskell-incremental-parser/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

